"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dataSourceConfig = exports.config = exports.die = void 0;
const migrations_1 = require("./database/migrations");
const model_1 = require("./database/model");
function die(reason) {
    console.error(reason);
    process.exit(1);
}
exports.die = die;
function initializeAppConfiguration() {
    return {
        PORT: parseInt(process.env.PORT ?? '3000'),
        NODE_ENV: process.env.NODE_ENV ?? 'development',
        BASE_URL: process.env.BASE_URL ?? 'http://localhost:3000',
        SECURITY_ISSUER: process.env.SECURITY_ISSUER ??
            die('the environment variable SECURITY_ISSUER is not defined!'),
        SECURITY_AUDIENCE: process.env.SECURITY_AUDIENCE ??
            die('the environment variable SECURITY_AUDIENCE is not defined!'),
        ALLOWLIST: process.env.ALLOWLIST ?? '',
        API_TOKEN: process.env.API_TOKEN ?? '',
    };
}
exports.config = initializeAppConfiguration();
exports.dataSourceConfig = {
    type: 'sqlite',
    database: 'db/auth.db',
    entities: [model_1.ScopeModel, model_1.RoleModel, model_1.UserModel, model_1.KeyModel, model_1.ActiveKeyModel, model_1.TokenModel],
    migrationsRun: true,
    migrations: [...migrations_1.Migrations],
};
//# sourceMappingURL=config.js.map