"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateLocalUsers1683562636793 = void 0;
const model_1 = require("../model");
class UpdateLocalUsers1683562636793 {
    async up(queryRunner) {
        const userRepository = queryRunner.connection.getRepository(model_1.UserModel);
        const users = await userRepository.find();
        for (const user of users) {
            if (!user.username.startsWith('tui:') &&
                !user.username.startsWith('local:')) {
                user.username = `local:${user.username}`;
                await userRepository.save(user);
            }
        }
    }
    async down(queryRunner) {
        const userRepository = queryRunner.connection.getRepository(model_1.UserModel);
        const users = await userRepository.find();
        for (const user of users) {
            if (user.username.startsWith('local:')) {
                user.username = user.username.replace('local:', '');
                await userRepository.save(user);
            }
        }
    }
}
exports.UpdateLocalUsers1683562636793 = UpdateLocalUsers1683562636793;
//# sourceMappingURL=1683562636793-UpdateLocalUsers.js.map