"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roleUrlFromId = exports.userUrlFromId = exports.capitalizeFirstLetter = void 0;
const config_1 = require("../config");
/**
 * This function capitalizes the first letter of a string.
 * @param string The string in which to capitalize the first letter.
 * @returns The string with its first letter capitalized.
 */
function capitalizeFirstLetter(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}
exports.capitalizeFirstLetter = capitalizeFirstLetter;
/**
 * This function builds the url of a user using its id.
 * @param id The id of the user.
 * @returns The url of the user.
 */
function userUrlFromId(id) {
    return config_1.config.BASE_URL + (config_1.config.BASE_URL.endsWith('/') ? '' : '/') + 'users/' + id;
}
exports.userUrlFromId = userUrlFromId;
/**
 * This function builds the url of a role using its id.
 * @param id The id of the role.
 * @returns The url of the role.
 */
function roleUrlFromId(id) {
    return config_1.config.BASE_URL + (config_1.config.BASE_URL.endsWith('/') ? '' : '/') + 'roles/' + id;
}
exports.roleUrlFromId = roleUrlFromId;
//# sourceMappingURL=utils.js.map